curl --request GET \
--url https://api.hubapi.com/crm/v3/imports/{importId}/errors \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": 123,
"errorType": "AMBIGUOUS_ENUMERATION_OPTION",
"id": "<string>",
"sourceData": {
"additionalRowData": [
"<string>"
],
"containsEncryptedProperties": true,
"fileId": 123,
"lineNumber": 123,
"rowData": [
"<string>"
],
"pageName": "<string>"
},
"errorMessage": "<string>",
"extraContext": "<string>",
"invalidPropertyValue": {
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
},
"invalidValue": "<string>",
"invalidValueToDisplay": "<string>",
"knownColumnNumber": 123,
"objectType": "ABANDONED_CART",
"objectTypeId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}特定のインポート処理の詳しいエラーレコードを取得し、処理中に失敗したレコードを特定してトラブルシューティングできるようにします。
curl --request GET \
--url https://api.hubapi.com/crm/v3/imports/{importId}/errors \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": 123,
"errorType": "AMBIGUOUS_ENUMERATION_OPTION",
"id": "<string>",
"sourceData": {
"additionalRowData": [
"<string>"
],
"containsEncryptedProperties": true,
"fileId": 123,
"lineNumber": 123,
"rowData": [
"<string>"
],
"pageName": "<string>"
},
"errorMessage": "<string>",
"extraContext": "<string>",
"invalidPropertyValue": {
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
},
"invalidValue": "<string>",
"invalidValueToDisplay": "<string>",
"knownColumnNumber": 123,
"objectType": "ABANDONED_CART",
"objectTypeId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
インポートの固有ID。
最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。
エラーについて説明するメッセージを受信するにはTrueに設定します。
エラーがある行のデータ値を受信するにはTrueに設定します。
ページごとに表示する結果の最大数。